com.microfocus.awm.core

## Class JobUtility

- java.lang.Object
- - com.microfocus.awm.core.JobUtility

-     public class JobUtility
      extends java.lang.Object

  Helper class to get a registered `ITaurusJobUtilities` instance or directly submit z/OS jobs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobUtility()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ITaurusJobUtilities` | `searchForJobUtil()` Deprecated. Uses `searchForJobUtil(ISystemImage)` instead to get the appropriate job utilities to the system image.
    `static ITaurusJobUtilities` | `searchForJobUtil(ISystemImage pImg)` Gets the TAURUS job utilities from the host connector or the top priority found job utilities extension.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobUtility

          public JobUtility()

  - ### Method Detail

    - #### searchForJobUtil

          @Deprecated
          public static ITaurusJobUtilities searchForJobUtil()
                                                                   throws TaurusCoreException

      Deprecated. Uses `searchForJobUtil(ISystemImage)` instead to get the appropriate job utilities to the system image.
      Gets the first found TAURUS job utilities extension.
      Returns:
        an `ITaurusJobUtilities` implementation
      Throws:
        `TaurusCoreException` - if no job utilities extension was found

    - #### searchForJobUtil

          public static ITaurusJobUtilities searchForJobUtil(ISystemImage pImg)
                                                      throws TaurusCoreException

      Gets the TAURUS job utilities from the host connector or the top priority found job utilities extension.
      Parameters:
        `pImg` - The `ISystemImage` representing the remote connection
      Returns:
        an `ITaurusJobUtilities` implementation or `null`, if no `ITaurusJobUtilities` could be found
      Throws:
        `TaurusCoreException` -
    - If no `IHostConnector` for the system image was found.
    - If the found `IHostConnector` does not return an `ITaurusJobUtilities` instance.
    - if an invalid extension for extension point `com.microfocus.awm.jobutil` was found.

Copyright © 2015 Micro Focus GmbH. All rights reserved.